Always build in C++11 mode

refs: #1930

Change-Id: Iedad4a814e5c7e6a5486f2f7e16c45c356131792
diff --git a/.jenkins.d/10-ndn-cxx.sh b/.jenkins.d/10-ndn-cxx.sh
index 465e291..c38011c 100755
--- a/.jenkins.d/10-ndn-cxx.sh
+++ b/.jenkins.d/10-ndn-cxx.sh
@@ -1,5 +1,6 @@
 #!/usr/bin/env bash
 set -x
+set -e
 
 cd /tmp
 BUILD="no"
@@ -30,7 +31,7 @@
 sudo rm -f /usr/local/lib/pkgconfig/libndn-cxx*
 
 if [ "$BUILD" = "yes" ]; then
-    ./waf distclean --color=yes
+    sudo ./waf distclean --color=yes
 fi
 
 ./waf configure --color=yes --without-osx-keychain